import type { DoxicityConfig, DoxicityPublishResult } from './types';
export type { DoxicityConfig, DoxicityHelper, DoxicityPage, DoxicityPlugin, DoxicityPublishResult } from './types';
export default class Doxicity {
    config: DoxicityConfig;
    hasRegisteredPartials: boolean;
    constructor(config: Partial<DoxicityConfig>);
    private copyAssets;
    private getDestinationFilename;
    private getPathname;
    private parseSourceFile;
    private registerPartials;
    private renderPage;
    registerHelper(name: string, callback: (args: unknown) => string): void;
    registerPartial(name: string, htmlTemplate: string): void;
    publish(): Promise<DoxicityPublishResult>;
}
